Accessibility customization

19 Dec 202413 minutes to read

The Syncfusion® EJ2 JavaScript Accumulation Chart control is structured to visualize data in a graphical manner. It provides robust customization options for accessibility, allowing you to enhance the user experience for those with disabilities. The main attributes of the EJ2 JavaScript Accumulation Chart control’s accessibility customization are briefly explained in this section.

The accumulation chart control has a number of characteristics that enable accessibility features to be customized, including:

  • accessibilityDescription - Provides a text description for the accumulation chart, improving support for screen readers.
  • accessibilityRole - Specifies the role of the accumulation chart, helping screen readers to identify the element appropriately.
  • focusable - Allows the accumulation chart to receive focus, making it accessible via keyboard navigation.
  • focusBorderColor - Sets the color of the focus border, enhancing visibility when the accumulation chart is focused.
  • focusBorderMargin - Defines the margin around the focus border.
  • focusBorderWidth - Specifies the width of the focus border.
  • tabIndex - Specifies the tab order for the accumulation chart element, enabling efficient keyboard navigation.
var piechart = new ej.charts.AccumulationChart({
    series: [
        {
            dataSource: [
                { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
                { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
                { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
                { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
                { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
                { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
            ],
            xName: 'x',
            yName: 'y'
        }
    ],
    legendSettings: {
        visible: true
    },
    accessibility: {
        accessibilityDescription: 'Pie chart representing the distribution of data across months.',
        accessibilityRole: 'chart'
    },
    focusBorderColor: '#FF0000',
    focusBorderWidth: 3,
    focusBorderMargin: 5
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/29.1.33/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Series

The series supports the customization of accessibility for data points, allowing key characteristics to be adjusted for enhanced accessibility, such as:

  • accessibilityDescription - Provides a text description for the series root element, enhancing support for screen readers.
  • accessibilityRole - Specifies the role of the series, helping screen readers to identify the element appropriately.
  • focusable - Allows the series to receive focus, making it accessible via keyboard navigation.
  • tabIndex - Specifies the tab order of the series element, enabling efficient keyboard navigation.
var pyramidchart = new ej.charts.AccumulationChart({
    series: [
        {
            type: 'Pyramid',
            dataSource: [
                { x: 'Australia', y: 20 },
                { x: 'France',    y: 22 },
                { x: 'China',     y: 23 },
                { x: 'India',     y: 24 },
                { x: 'Japan',     y: 25 },
                { x: 'Germany',   y: 27 }
            ],
            xName: 'x', yName: 'y',
            accessibility: {
                accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
                accessibilityRole: 'presentation'
            }
        }
    ],
    title: 'Sales Distribution of Car by Region',
    legendSettings: { visible: false }
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/29.1.33/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Legend

The legendSettings provide information about the series shown in the accumulation chart. The following accessibility properties in legendSettings can be used to alter the accessibility of the accumulation chart’s legend:

  • accessibilityDescription - Provides a text description for the legend root element, enhancing support for screen readers..
  • accessibilityRole - Specifies the role of the legend items to screen readers, providing appropriate context.
  • focusable - Specifies whether legend items are focusable via keyboard navigation.
  • tabIndex - Specifies the tab order of the legend element, enabling efficient keyboard navigation.
var piechart = new ej.charts.AccumulationChart({
    series: [
        {
            dataSource: [
                { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
                { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
                { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
                { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
                { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
                { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
            ],
            xName: 'x',
            yName: 'y'
        }
    ],
    legendSettings: {
        visible: true,
        accessibility: {
            accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
            accessibilityRole: 'group'
        }
    }
}, '#element');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/29.1.33/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Accessibility customization

19 Dec 202410 minutes to read

The Syncfusion® React Accumulation Chart control is structured to visualize data in a graphical manner. It provides robust customization options for accessibility, allowing you to enhance the user experience for those with disabilities. The main attributes of the React Accumulation Chart control’s accessibility customization are briefly explained in this section.

The accumulation chart control has a number of characteristics that enable accessibility features to be customized, including:

  • accessibilityDescription - Provides a text description for the accumulation chart, improving support for screen readers.
  • accessibilityRole - Specifies the role of the accumulation chart, helping screen readers to identify the element appropriately.
  • focusable - Allows the accumulation chart to receive focus, making it accessible via keyboard navigation.
  • focusBorderColor - Sets the color of the focus border, enhancing visibility when the accumulation chart is focused.
  • focusBorderMargin - Defines the margin around the focus border.
  • focusBorderWidth - Specifies the width of the focus border.
  • tabIndex - Specifies the tab order for the accumulation chart element, enabling efficient keyboard navigation.
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, AccumulationLegend, PieSeries } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings = { visible: true };
  const accessibility = {
    accessibilityDescription: 'Pie chart representing the distribution of data across months.',
    accessibilityRole: 'chart'
  };

  return (
    <AccumulationChartComponent id="container" legendSettings={legendSettings} accessibility={accessibility} focusBorderColor="#FF0000" focusBorderWidth={3} focusBorderMargin={5}>
      <Inject services={[AccumulationLegend, PieSeries]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y'>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, AccumulationLegend, LegendSettingsModel, AccessibilityModel, PieSeries } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings: LegendSettingsModel = { visible: true };
  const accessibility: AccessibilityModel = {
    accessibilityDescription: 'Pie chart representing the distribution of data across months.',
    accessibilityRole: 'chart'
  };

  return (
    <AccumulationChartComponent id="container" legendSettings={legendSettings} accessibility={accessibility} focusBorderColor="#FF0000" focusBorderWidth={3} focusBorderMargin={5}>
      <Inject services={[AccumulationLegend, PieSeries]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y'>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));

Series

The series supports the customization of accessibility for data points, allowing key characteristics to be adjusted for enhanced accessibility, such as:

  • accessibilityDescription - Provides a text description for the series root element, enhancing support for screen readers.
  • accessibilityRole - Specifies the role of the series, helping screen readers to identify the element appropriately.
  • focusable - Allows the series to receive focus, making it accessible via keyboard navigation.
  • tabIndex - Specifies the tab order of the series element, enabling efficient keyboard navigation.
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, PyramidSeries, AccumulationLegend } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings = { visible: false };
  const accessibility = {
    accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
    accessibilityRole: 'presentation'
  };

  return (
    <AccumulationChartComponent id="container" title='Sales Distribution of Car by Region' legendSettings={legendSettings}>
      <Inject services={[PyramidSeries, AccumulationLegend]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y' type='Pyramid' accessibility={accessibility}>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, PyramidSeries, AccessibilityModel, AccumulationLegend, LegendSettingsModel } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings: LegendSettingsModel = { visible: false };
  const accessibility: AccessibilityModel = {
    accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
    accessibilityRole: 'presentation'
  };

  return (
    <AccumulationChartComponent id="container" title='Sales Distribution of Car by Region' legendSettings={legendSettings}>
      <Inject services={[PyramidSeries, AccumulationLegend]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y' type='Pyramid' accessibility={accessibility}>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));

Legend

The legendSettings provide information about the series shown in the accumulation chart. The following accessibility properties in legendSettings can be used to alter the accessibility of the accumulation chart’s legend:

  • accessibilityDescription - Provides a text description for the legend root element, enhancing support for screen readers..
  • accessibilityRole - Specifies the role of the legend items to screen readers, providing appropriate context.
  • focusable - Specifies whether legend items are focusable via keyboard navigation.
  • tabIndex - Specifies the tab order of the legend element, enabling efficient keyboard navigation.
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, AccumulationLegend, PieSeries } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings = { 
    visible: true,
    accessibility: {
      accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
      accessibilityRole: 'group'
    } 
  };

  return (
    <AccumulationChartComponent id="container" legendSettings={legendSettings}>
      <Inject services={[AccumulationLegend, PieSeries]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y'>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, Inject, AccumulationLegend, LegendSettingsModel, PieSeries } from '@syncfusion/ej2-react-charts';
import { data } from '../datasource.ts';

function App() {

  const legendSettings: LegendSettingsModel = { 
    visible: true,
    accessibility: {
      accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
      accessibilityRole: 'group'
    } 
  };

  return (
    <AccumulationChartComponent id="container" legendSettings={legendSettings}>
      <Inject services={[AccumulationLegend, PieSeries]} />
      <AccumulationSeriesCollectionDirective>
        <AccumulationSeriesDirective dataSource={data} xName='x' yName='y'>
        </AccumulationSeriesDirective>
      </AccumulationSeriesCollectionDirective>
    </AccumulationChartComponent>
  )
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));

Accessibility customization

21 Dec 202417 minutes to read

The Syncfusion® Vue Accumulation Chart component is structured to visualize data in a graphical manner. It provides robust customization options for accessibility, allowing you to enhance the user experience for those with disabilities. The main attributes of the Vue Accumulation Chart component’s accessibility customization are briefly explained in this section.

The accumulation chart component has a number of characteristics that enable accessibility features to be customized, including:

  • accessibilityDescription - Provides a text description for the accumulation chart, improving support for screen readers.
  • accessibilityRole - Specifies the role of the accumulation chart, helping screen readers to identify the element appropriately.
  • focusable - Allows the accumulation chart to receive focus, making it accessible via keyboard navigation.
  • focusBorderColor - Sets the color of the focus border, enhancing visibility when the accumulation chart is focused.
  • focusBorderMargin - Defines the margin around the focus border.
  • focusBorderWidth - Specifies the width of the focus border.
  • tabIndex - Specifies the tab order for the accumulation chart element, enabling efficient keyboard navigation.
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :accessibility='accessibility' focusBorderColor='#FF0000' focusBorderWidth=3 focusBorderMargin=5 :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { AccumulationChartComponent as EjsAccumulationchart, AccumulationSeriesCollectionDirective as EAccumulationSeriesCollection, AccumulationSeriesDirective as EAccumulationSeries, PieSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

const seriesData = [
  { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
  { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
  { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
  { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
  { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
  { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
];
const legendSettings = {
  visible: true
};
const accessibility = {
  accessibilityDescription: 'Pie chart representing the distribution of data across months.',
  accessibilityRole: 'chart'
};

provide('accumulationchart', [PieSeries, AccumulationLegend]);

</script>
<style>
  #container {
    height: 350px;
  }
</style>
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :accessibility='accessibility' focusBorderColor='#FF0000' focusBorderWidth=3 focusBorderMargin=5 :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script>

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    "ejs-accumulationchart": AccumulationChartComponent,
    "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
    "e-accumulation-series": AccumulationSeriesDirective
  },
  data() {
    return {
      seriesData: [
        { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
        { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
        { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
        { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
        { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
        { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
      ],
      legendSettings: {
        visible: true
      },
      accessibility: {
        accessibilityDescription: 'Pie chart representing the distribution of data across months.',
        accessibilityRole: 'chart'
      }
    };
  },
  provide: {
    accumulationchart: [PieSeries, AccumulationLegend]
  }
};
</script>
<style>
  #container {
    height: 350px;
  }
</style>

Series

The series supports the customization of accessibility for data points, allowing key characteristics to be adjusted for enhanced accessibility, such as:

  • accessibilityDescription - Provides a text description for the series root element, enhancing support for screen readers.
  • accessibilityRole - Specifies the role of the series, helping screen readers to identify the element appropriately.
  • focusable - Allows the series to receive focus, making it accessible via keyboard navigation.
  • tabIndex - Specifies the tab order of the series element, enabling efficient keyboard navigation.
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :title='title' :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :accessibility='accessibility' :dataSource='seriesData' type='Pyramid' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { AccumulationChartComponent as EjsAccumulationchart, AccumulationSeriesCollectionDirective as EAccumulationSeriesCollection, AccumulationSeriesDirective as EAccumulationSeries, PyramidSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

const seriesData = [
  { x: 'Australia', y: 20 },
  { x: 'France',    y: 22 },
  { x: 'China',     y: 23 },
  { x: 'India',     y: 24 },
  { x: 'Japan',     y: 25 },
  { x: 'Germany',   y: 27 }
];
const title = 'Sales Distribution of Car by Region';
const accessibility = {
  accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
  accessibilityRole: 'presentation'
};
const legendSettings = { visible: false };

provide('accumulationchart', [PyramidSeries, AccumulationLegend]);

</script>
<style>
  #container {
    height: 350px;
  }
</style>
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :title='title' :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :accessibility='accessibility' :dataSource='seriesData' type='Pyramid' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script>

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PyramidSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    "ejs-accumulationchart": AccumulationChartComponent,
    "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
    "e-accumulation-series": AccumulationSeriesDirective
  },
  data() {
    return {
      seriesData: [
        { x: 'Australia', y: 20 },
        { x: 'France',    y: 22 },
        { x: 'China',     y: 23 },
        { x: 'India',     y: 24 },
        { x: 'Japan',     y: 25 },
        { x: 'Germany',   y: 27 }
      ],
      title: 'Sales Distribution of Car by Region',
      accessibility: {
        accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
        accessibilityRole: 'presentation'
      },
      legendSettings: { visible: false }
    };
  },
  provide: {
    accumulationchart: [PyramidSeries, AccumulationLegend]
  }
};
</script>
<style>
  #container {
    height: 350px;
  }
</style>

Legend

The legendSettings provide information about the series shown in the accumulation chart. The following accessibility properties in legendSettings can be used to alter the accessibility of the accumulation chart’s legend:

  • accessibilityDescription - Provides a text description for the legend root element, enhancing support for screen readers..
  • accessibilityRole - Specifies the role of the legend items to screen readers, providing appropriate context.
  • focusable - Specifies whether legend items are focusable via keyboard navigation.
  • tabIndex - Specifies the tab order of the legend element, enabling efficient keyboard navigation.
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { AccumulationChartComponent as EjsAccumulationchart, AccumulationSeriesCollectionDirective as EAccumulationSeriesCollection, AccumulationSeriesDirective as EAccumulationSeries, PieSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

const seriesData = [
  { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
  { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
  { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
  { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
  { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
  { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
];
const legendSettings = {
  visible: true,
  accessibility: {
    accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
    accessibilityRole: 'group'
  }
};

provide('accumulationchart', [PieSeries, AccumulationLegend]);

</script>
<style>
  #container {
    height: 350px;
  }
</style>
<template>
  <div id="app">
    <ejs-accumulationchart id="container" :legendSettings='legendSettings'>
      <e-accumulation-series-collection>
        <e-accumulation-series :dataSource='seriesData' xName='x' yName='y'> </e-accumulation-series>
      </e-accumulation-series-collection>
    </ejs-accumulationchart>
  </div>
</template>
<script>

import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective, PieSeries, AccumulationLegend } from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    "ejs-accumulationchart": AccumulationChartComponent,
    "e-accumulation-series-collection": AccumulationSeriesCollectionDirective,
    "e-accumulation-series": AccumulationSeriesDirective
  },
  data() {
    return {
      seriesData: [
        { x: 'Jan', y: 3 },  { x: 'Feb', y: 3.5 }, 
        { x: 'Mar', y: 7 },  { x: 'Apr', y: 13.5 }, 
        { x: 'May', y: 19 }, { x: 'Jun', y: 23.5 }, 
        { x: 'Jul', y: 26 }, { x: 'Aug', y: 25 },
        { x: 'Sep', y: 21 }, { x: 'Oct', y: 15 },
        { x: 'Nov', y: 15 }, { x: 'Dec', y: 15 }
      ],
      legendSettings: {
        visible: true,
        accessibility: {
            accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
            accessibilityRole: 'group'
        }
      }
    };
  },
  provide: {
    accumulationchart: [PieSeries, AccumulationLegend]
  }
};
</script>
<style>
  #container {
    height: 350px;
  }
</style>

Accessibility customization

24 Dec 20248 minutes to read

The Syncfusion® Angular Accumulation Chart component is structured to visualize data in a graphical manner. It provides robust customization options for accessibility, allowing you to enhance the user experience for those with disabilities. The main attributes of the Angular Accumulation Chart component’s accessibility customization are briefly explained in this section.

The accumulation chart component has a number of characteristics that enable accessibility features to be customized, including:

  • accessibilityDescription - Provides a text description for the accumulation chart, improving support for screen readers.
  • accessibilityRole - Specifies the role of the accumulation chart, helping screen readers to identify the element appropriately.
  • focusable - Allows the accumulation chart to receive focus, making it accessible via keyboard navigation.
  • focusBorderColor - Sets the color of the focus border, enhancing visibility when the accumulation chart is focused.
  • focusBorderMargin - Defines the margin around the focus border.
  • focusBorderWidth - Specifies the width of the focus border.
  • tabIndex - Specifies the tab order for the accumulation chart element, enabling efficient keyboard navigation.
import { AccumulationChartModule } from '@syncfusion/ej2-angular-charts';
import { PieSeriesService, AccumulationLegendService } from '@syncfusion/ej2-angular-charts';
import { Component, OnInit } from '@angular/core';
import { pieData } from './datasource';

@Component({
    imports: [AccumulationChartModule],
    providers: [PieSeriesService, AccumulationLegendService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-accumulationchart id="chart-container" [legendSettings]='legendSettings' [accessibility]='accessibility' focusBorderColor='#FF0000' focusBorderWidth='3' focusBorderMargin='5'>
        <e-accumulation-series-collection>
            <e-accumulation-series [dataSource]='piedata' xName='x' yName='y' type='Pie'></e-accumulation-series>
        </e-accumulation-series-collection>
    </ejs-accumulationchart>`
})
export class AppComponent implements OnInit {
    public piedata?: Object[];
    public legendSettings?: Object;
    public accessibility?: Object;
    ngOnInit(): void {
        this.piedata = pieData;
        this.legendSettings = {
            visible: true
        };
        this.accessibility = {
            accessibilityDescription: 'Pie chart representing the distribution of data across months.',
            accessibilityRole: 'chart'
        };
    }

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Series

The series supports the customization of accessibility for data points, allowing key characteristics to be adjusted for enhanced accessibility, such as:

  • accessibilityDescription - Provides a text description for the series root element, enhancing support for screen readers.
  • accessibilityRole - Specifies the role of the series, helping screen readers to identify the element appropriately.
  • focusable - Allows the series to receive focus, making it accessible via keyboard navigation.
  • tabIndex - Specifies the tab order of the series element, enabling efficient keyboard navigation.
import { AccumulationChartModule } from '@syncfusion/ej2-angular-charts';
import { PyramidSeriesService, AccumulationDataLabelService, AccumulationLegendService } from '@syncfusion/ej2-angular-charts';
import { Component, OnInit } from '@angular/core';
import { pyramidData } from './datasource';

@Component({
    imports: [AccumulationChartModule],
    providers: [PyramidSeriesService, AccumulationDataLabelService, AccumulationLegendService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-accumulationchart id="chart-container" [title]='title' [legendSettings]='legendSettings'>
        <e-accumulation-series-collection>
            <e-accumulation-series [dataSource]='pyramidData' xName='x' yName='y' type='Pyramid' [accessibility]='accessibility'></e-accumulation-series>
        </e-accumulation-series-collection>
    </ejs-accumulationchart>`
})
export class AppComponent implements OnInit {
    public pyramidData?: Object[];
    public title?: string;
    public accessibility?: Object;
    public legendSettings?: Object;
    ngOnInit(): void {
        this.pyramidData = pyramidData;
        this.title = 'Sales Distribution of Car by Region';
        this.accessibility =  {
            accessibilityDescription: 'This pyramid chart represents the sales distribution of cars by region, with each section representing a different region and its respective sales percentage.',
            accessibilityRole: 'presentation'
        };
        this.legendSettings = { visible: false };
    }

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Legend

The legendSettings provide information about the series shown in the accumulation chart. The following accessibility properties in legendSettings can be used to alter the accessibility of the accumulation chart’s legend:

  • accessibilityDescription - Provides a text description for the legend root element, enhancing support for screen readers..
  • accessibilityRole - Specifies the role of the legend items to screen readers, providing appropriate context.
  • focusable - Specifies whether legend items are focusable via keyboard navigation.
  • tabIndex - Specifies the tab order of the legend element, enabling efficient keyboard navigation.
import { AccumulationChartModule } from '@syncfusion/ej2-angular-charts';
import { PieSeriesService, AccumulationLegendService } from '@syncfusion/ej2-angular-charts';
import { Component, OnInit } from '@angular/core';
import { pieData } from './datasource';

@Component({
    imports: [AccumulationChartModule],
    providers: [PieSeriesService, AccumulationLegendService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-accumulationchart id="chart-container" [legendSettings]='legendSettings'>
        <e-accumulation-series-collection>
            <e-accumulation-series [dataSource]='piedata' xName='x' yName='y' type='Pie'></e-accumulation-series>
        </e-accumulation-series-collection>
    </ejs-accumulationchart>`
})
export class AppComponent implements OnInit {
    public piedata?: Object[];
    public legendSettings?: Object;
    ngOnInit(): void {
        this.piedata = pieData;
        this.legendSettings = {
            visible: true,
            accessibility: {
                accessibilityDescription: 'The legend identifies the data categories represented in the chart and associates them with their corresponding labels.',
                accessibilityRole: 'group'
            }
        };
    }

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));